$! Extract.Com
$!
$! Written By : Howard Meadows             Date : 12-JUN-1996
$! Modified By: Rick Dyson 16-SEP-1997
$!
$! Description : This is a command procedure to assist OpenVMS users in
$! creating flat files suitable for use as mail folders on UNIX systems
$! from the OpenVMS mail subsystem.  All existing mail messages in any
$! mail folder on the user's OpenVMS mail subsystem will be copied into
$! a flat file of the same name as the folder in a format acceptable
$! by UNIX mailers.  These resulting files should then be copied 
$! (probably by ftp) to the UNIX system in the appropriate mail directory.
$!
$!=========================================================================
$!
$! Set up the Extract Command...
$ Set Command Extract:EXTRACT.CLD
$
$Top:
$
$! Display a Welcome Message...
$   Type /nopage Extract:Welcome.Txt
$
$! Ask user for their menu choice...
$   Assign/User_Mode/NoLog Sys$Command Sys$Input
$   Read/Prompt="Enter your Choice: " Sys$Input Choice
$
$   If (F$Type (Choice) .nes. "INTEGER") Then GoTo Bad_Choice
$   If ((F$Integer (Choice) .gt. 4) .or. (F$Integer (Choice) .lt. 1)) -
        Then GoTo Bad_Choice
$! It's a good choice, so branch accordingly...
$   GoTo 'Choice'
$
$1:
$
$! User wants information about folders & number of messages...
$   Extract_Mail /INFO
$   GoTo Top
$
$2:
$
$! User wants to extract ALL messages in ALL folders...
$   Write Sys$Output "You elected to extract ALL folders..."
$!   Define/User_Mode/NoLog Sys$Input SYS$Command
$   Extract_Mail /ALL
$   GoTo Done
$
$3:
$
$! User wants to do specific folders...
$   Write Sys$Output "You elected to extract (a) specific folder(s)..."
$   Assign /User_Mode /NoLog Sys$Command Sys$Input
$   Read /Prompt = -
      "Enter the name(s) of the folders to extract, separated by commas:" -
      Sys$Input Names
$   Extract_Mail /Folder = ('Names')
$   GoTo Done
$
$4:
$
$! User just wants to exit...
$Done:
$
$! Delete the Extract  command...
$   Set Command /Delete = Extract_Mail
$
$! All Done...
$   Write Sys$Output "Extract Mail Procedure Completed..."
$   Write Sys$Output " "
$   Exit
$
$Bad_Choice:
$
$! User made a bad menu choice.  Tell Them & give them another chance...
$   Write Sys$Output "Your Choice MUST be a number between 1 and 4, try again"
$   GoTo Top
